//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. 2001 - 2003. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Grouping;

using Syncfusion.Collections;
using Syncfusion.Drawing;
using Syncfusion.ComponentModel;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Grid.Grouping;

namespace CustomersSample
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Grid.GridRecordNavigationControl gridRecordNavigationControl1;
		private Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl groupingGrid1;
		private System.Windows.Forms.Button okButton;
		private System.Windows.Forms.Button _cancelButton;
		private System.Windows.Forms.Button button1;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			InitializeComponent();

			CustomersList customers = new CustomersList();
			customers.LoadCustomers();

			this.groupingGrid1.ShowNavigationBar = true;
			this.groupingGrid1.TableControl.HorizontalScrollTips = false;
			this.groupingGrid1.BorderStyle = BorderStyle.FixedSingle;
			this.groupingGrid1.FilterRuntimeProperties = true;

			this.groupingGrid1.DataSource = customers;

			GridEngine engine = this.groupingGrid1.Engine;
			engine.TopLevelGroupOptions.ShowCaption = true;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.gridRecordNavigationControl1 = new Syncfusion.Windows.Forms.Grid.GridRecordNavigationControl();
			this.groupingGrid1 = new Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl();
			this.okButton = new System.Windows.Forms.Button();
			this._cancelButton = new System.Windows.Forms.Button();
			this.button1 = new System.Windows.Forms.Button();
			this.gridRecordNavigationControl1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.groupingGrid1)).BeginInit();
			this.SuspendLayout();
			// 
			// gridRecordNavigationControl1
			// 
			this.gridRecordNavigationControl1.AllowAddNew = false;
			this.gridRecordNavigationControl1.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.gridRecordNavigationControl1.Controls.AddRange(new System.Windows.Forms.Control[] {
																									   this.groupingGrid1});
			this.gridRecordNavigationControl1.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold);
			this.gridRecordNavigationControl1.Location = new System.Drawing.Point(40, 32);
			this.gridRecordNavigationControl1.MaxRecord = 0;
			this.gridRecordNavigationControl1.Name = "gridRecordNavigationControl1";
			this.gridRecordNavigationControl1.ShowToolTips = true;
			this.gridRecordNavigationControl1.Size = new System.Drawing.Size(480, 137);
			this.gridRecordNavigationControl1.SplitBars = Syncfusion.Windows.Forms.DynamicSplitBars.Both;
			this.gridRecordNavigationControl1.TabIndex = 0;
			this.gridRecordNavigationControl1.Text = "gridRecordNavigationControl1";
			this.gridRecordNavigationControl1.ThemesEnabled = true;
			// 
			// gridDataBoundGrid1
			// 
			this.groupingGrid1.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.groupingGrid1.DataMember = "";
			this.groupingGrid1.Name = "groupingGrid1";
			this.groupingGrid1.ShowNavigationBar = false;
			this.groupingGrid1.Size = new System.Drawing.Size(704, 353);
			this.groupingGrid1.TabIndex = 1;
			this.groupingGrid1.TableDescriptor.CalculateFilterBarChoices = false;
			this.groupingGrid1.TableDescriptor.Name = null;
			this.groupingGrid1.Text = "groupingGrid1";
			this.groupingGrid1.ThemesEnabled = true;
			// 
			// okButton
			// 
			this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.okButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.okButton.Location = new System.Drawing.Point(456, 321);
			this.okButton.Name = "okButton";
			this.okButton.Size = new System.Drawing.Size(56, 24);
			this.okButton.TabIndex = 1;
			this.okButton.Text = "&OK";
			this.okButton.Click += new System.EventHandler(this.okButton_Click);
			// 
			// _cancelButton
			// 
			this._cancelButton.Anchor = ((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this._cancelButton.CausesValidation = false;
			this._cancelButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this._cancelButton.Location = new System.Drawing.Point(344, 321);
			this._cancelButton.Name = "_cancelButton";
			this._cancelButton.Size = new System.Drawing.Size(56, 24);
			this._cancelButton.TabIndex = 2;
			this._cancelButton.Text = "&Cancel";
			this._cancelButton.Click += new System.EventHandler(this.cancelButton_Click);
			// 
			// button1
			// 
			this.button1.Anchor = ((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button1.Location = new System.Drawing.Point(40, 321);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(40, 24);
			this.button1.TabIndex = 3;
			this.button1.Text = "Test";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(560, 374);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.groupingGrid1,
																		  this.button1,
																		  this._cancelButton,
																		  this.okButton,
																		  this.gridRecordNavigationControl1});
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.gridRecordNavigationControl1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.groupingGrid1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			/*
			GridTableDescriptor tableDescriptor = (GridTableDescriptor)engine.TableDescriptor;
			tableDescriptor.Columns.Add("FirstName");
			tableDescriptor.Columns.Add("LastName");
			*/


			/*
			GridModelDataBinder binder = this.gridDataBoundGrid1.Binder;
			binder.SetDataBinding(customers, "");

			GridHierarchyLevel childrenLevel = this.gridDataBoundGrid1.Binder.AddRelation("Children");
			childrenLevel.ShowHeaders = false;
			this.gridDataBoundGrid1.Binder.RootHierarchyLevel.ShowHeaders = true;
			this.dataGrid1.DataSource = customers;
			
			RecordObjectBinder rob = new RecordObjectBinder(this.gridDataBoundGrid1.Model as GridDataBoundGridModel);
			

			GridHierarchyLevel rootLevel = binder.RootHierarchyLevel;

			GridBoundColumnsCollection gbc = new GridBoundColumnsCollection(this.gridDataBoundGrid1.Binder);
			GridBoundColumn rgb1 = new GridBoundColumn();
			rgb1.MappingName = "ID";
			GridBoundColumn rgb2 = new GridBoundColumn();
			rgb2.MappingName = "FirstName";
			GridBoundColumn rgb3 = new GridBoundColumn();
			rgb3.MappingName = "LastName";
			GridBoundColumn rgb4 = new GridBoundColumn();
			rgb4.MappingName = "Unbound1";
			GridBoundColumn rgb5 = new GridBoundColumn();
			rgb5.MappingName = "Unbound2";
			gbc.AddRange(new GridBoundColumn[] { rgb1, rgb2, rgb3, rgb4, rgb5 } );
	
			rootLevel.GridBoundColumns = gbc;
			childrenLevel.GridBoundColumns = (GridBoundColumnsCollection) gbc.Clone();
			*/
			// We could also call rootLevel.LayoutCoumns and childrenLevel.LayoutColumns
			// here and specify covered cells, row breaks, column order etc.
		}

		private void cancelButton_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void okButton_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
		
		}
	}
}
